Download it now!
Bug 117479 - File size of the presentation file doesn't shrink when saving a file with the image Converted to 3D Rotation object removed
Summary: File size of the presentation file doesn't shrink when saving a file with the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Impress-Images Shapes
  Show dependency treegraph
 
Reported: 2018-05-07 14:32 UTC by Telesto
Modified: 2019-10-09 02:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-05-07 14:32:27 UTC
Description:
The image file isn't deleted immateriality. It's still in the odp

Steps to Reproduce:
1. Launch Impress 
2. Insert an image: say https://upload.wikimedia.org/wikipedia/commons/thumb/3/3d/LARGE_elevation.jpg/1280px-LARGE_elevation.jpg
3. Convert the image to a 3d rotation object
4. Save the file -> Check the file size
5. Delete the image - Save again -> Check the file size
6. Close the Presentation
7. Reopen it. Make a edit & Save -> everything back to normal

Actual Results:  
The file size remains the same, with the image deleted

Expected Results:
The file size should shrink after deleting an image 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: 08441d466dd70c203a519a133aaf1a5997adbbd3
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-06_23:59:40
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Jacques Guilleron 2018-05-07 16:50:44 UTC
Hi Telesto,

Reproduced with
LO  6.1.0.0.alpha1+ (x64) Build ID: 08441d466dd70c203a519a133aaf1a5997adbbd3
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-07_01:12:11
Locale: fr-FR (fr_FR); Calc: CL
also with
LO 3.5.3.2 Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
under Windows 7 Home.
and upper versions.
So probably inherited from OOo.
Convert to 3D is needed to reproduce.
Comment 2 QA Administrators 2019-10-09 02:29:53 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug